### Method

# EBookContacts BookQuery not

#### Declaration [src]

    EBookQuery*
    e_book_query_not (
      EBookQuery* q,
      gboolean unref
    )

#### Description [src]

Creates a new `EBookQuery` which is the opposite of #q.

#### Parameters

`unref`

  Type: `gboolean`

  If `TRUE`, the new query takes ownership of the existing queries.

#### Return value

Type: `EBookQuery`

The new `EBookQuery`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.